#!/usr/bin/bash
#export pkg=none
for pkg in $(cat skalist3) ; do
	echo $pkg
	cd $pkg
	sudo pacman -S $(cat deps) --noconfirm
	#sudo pacman -U /tmp/s6/$(cat deps | grep -v git)
	# nano PKGBUILD
	rm -rf {src,pkg}
	/usr/local/bin/mkpkg
#	grep $(grep _pkgver=v PKGBUILD | cut -b 10-) $pkg/packed-refs >>PKGBUILD
#	nano PKGBUILD
#	read
	ls -altr /var/cache/jobcore/$pkg* 
	ls -altr *.pkg.tar.xz
	read
	echo compare our version with latest in source
	# grep pkgver PKGBUILD
	# cat $pkg/packed-refs
	read
	sudo mv *.pkg.tar.xz /tmp/s6/
	ls -altr /tmp/s6/$pkg*
	read
#	sh clean
	sudo pacman -Rnsu $(cat deps) --noconfirm
	/usr/local/bin/ckchroot
	read
	pwd
	rm -rf {src,pkg}
	ls -altr
	cd ..
#	sudo mv *pkg.tar.xz /var/cache/jobcore/
#	/usr/local/bin/repojobcore
#	read
	echo next
done
